package com.hai.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * high_ty_agent_oil_station
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighTyAgentOilStation implements Serializable {
    private Long id;

    /**
     * 部门id
     */
    private Long organizationId;

    /**
     * 部门名称
     */
    private String organizationName;

    /**
     * 团油代理商id
     */
    private Long tyAgentId;

    /**
     * 团油代理商名称
     */
    private String tyAgentName;

    /**
     * 团油业务员id
     */
    private Long tySalesmanId;

    /**
     * 团油业务员名称
     */
    private String tySalesmanName;

    /**
     * 加油站id
     */
    private Long oilStationId;

    /**
     * 加油站名称
     */
    private String oilStationName;

    /**
     * 状态  0：删除  1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(Long organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Long getTyAgentId() {
        return tyAgentId;
    }

    public void setTyAgentId(Long tyAgentId) {
        this.tyAgentId = tyAgentId;
    }

    public String getTyAgentName() {
        return tyAgentName;
    }

    public void setTyAgentName(String tyAgentName) {
        this.tyAgentName = tyAgentName;
    }

    public Long getTySalesmanId() {
        return tySalesmanId;
    }

    public void setTySalesmanId(Long tySalesmanId) {
        this.tySalesmanId = tySalesmanId;
    }

    public String getTySalesmanName() {
        return tySalesmanName;
    }

    public void setTySalesmanName(String tySalesmanName) {
        this.tySalesmanName = tySalesmanName;
    }

    public Long getOilStationId() {
        return oilStationId;
    }

    public void setOilStationId(Long oilStationId) {
        this.oilStationId = oilStationId;
    }

    public String getOilStationName() {
        return oilStationName;
    }

    public void setOilStationName(String oilStationName) {
        this.oilStationName = oilStationName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighTyAgentOilStation other = (HighTyAgentOilStation) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrganizationId() == null ? other.getOrganizationId() == null : this.getOrganizationId().equals(other.getOrganizationId()))
            && (this.getOrganizationName() == null ? other.getOrganizationName() == null : this.getOrganizationName().equals(other.getOrganizationName()))
            && (this.getTyAgentId() == null ? other.getTyAgentId() == null : this.getTyAgentId().equals(other.getTyAgentId()))
            && (this.getTyAgentName() == null ? other.getTyAgentName() == null : this.getTyAgentName().equals(other.getTyAgentName()))
            && (this.getTySalesmanId() == null ? other.getTySalesmanId() == null : this.getTySalesmanId().equals(other.getTySalesmanId()))
            && (this.getTySalesmanName() == null ? other.getTySalesmanName() == null : this.getTySalesmanName().equals(other.getTySalesmanName()))
            && (this.getOilStationId() == null ? other.getOilStationId() == null : this.getOilStationId().equals(other.getOilStationId()))
            && (this.getOilStationName() == null ? other.getOilStationName() == null : this.getOilStationName().equals(other.getOilStationName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrganizationId() == null) ? 0 : getOrganizationId().hashCode());
        result = prime * result + ((getOrganizationName() == null) ? 0 : getOrganizationName().hashCode());
        result = prime * result + ((getTyAgentId() == null) ? 0 : getTyAgentId().hashCode());
        result = prime * result + ((getTyAgentName() == null) ? 0 : getTyAgentName().hashCode());
        result = prime * result + ((getTySalesmanId() == null) ? 0 : getTySalesmanId().hashCode());
        result = prime * result + ((getTySalesmanName() == null) ? 0 : getTySalesmanName().hashCode());
        result = prime * result + ((getOilStationId() == null) ? 0 : getOilStationId().hashCode());
        result = prime * result + ((getOilStationName() == null) ? 0 : getOilStationName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", organizationId=").append(organizationId);
        sb.append(", organizationName=").append(organizationName);
        sb.append(", tyAgentId=").append(tyAgentId);
        sb.append(", tyAgentName=").append(tyAgentName);
        sb.append(", tySalesmanId=").append(tySalesmanId);
        sb.append(", tySalesmanName=").append(tySalesmanName);
        sb.append(", oilStationId=").append(oilStationId);
        sb.append(", oilStationName=").append(oilStationName);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}